/**
 * angularx-flatpickr - An angular 4.0+ wrapper for flatpickr
 * @version v3.0.0
 * @author Matt Lewis
 * @link https://github.com/mattlewis92/angularx-flatpickr#readme
 * @license MIT
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@angular/forms"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@angular/forms"], factory);
	else if(typeof exports === 'object')
		exports["angularxFlatpickr"] = factory(require("@angular/core"), require("@angular/forms"));
	else
		root["angularxFlatpickr"] = factory(root["ng"]["core"], root["ng"]["forms"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_6__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var FlatpickrDefaults = /** @class */ (function () {
    function FlatpickrDefaults() {
        /**
         * Exactly the same as date format, but for the altInput field.
         */
        this.altFormat = 'F j, Y';
        /**
         * 	Show the user a readable date (as per altFormat), but return something totally different to the server.
         */
        this.altInput = false;
        /**
         * This class will be added to the input element created by the altInput option.
         * Note that `altInput` already inherits classes from the original input.
         */
        this.altInputClass = '';
        /**
         * Allows the user to enter a date directly input the input field. By default, direct entry is disabled.
         */
        this.allowInput = false;
        /**
         * Instead of `body`, appends the calendar to the specified node instead.
         */
        this.appendTo = undefined;
        /**
         * Whether clicking on the input should open the picker.
         * You could disable this if you wish to open the calendar manually `with.open()`.
         */
        this.clickOpens = true;
        /**
         * A string of characters which are used to define how the date will be displayed in the input box.
         * The supported characters are defined in the table below.
         */
        this.dateFormat = 'Y-m-d';
        /**
         * See <a href="https://chmln.github.io/flatpickr/examples/#disabling-specific-dates">disabling dates</a>.
         */
        this.disable = [];
        /**
         * Set disableMobile to true to always use the non-native picker.
         * By default, Flatpickr utilizes native datetime widgets unless certain options (e.g. disable) are used.
         */
        this.disableMobile = false;
        /**
         * See <a href="https://chmln.github.io/flatpickr/examples/#disabling-all-dates-except-select-few">enabling dates</a>.
         */
        this.enable = [];
        /**
         * Enables time picker.
         */
        this.enableTime = false;
        /**
         * Enables seconds in the time picker.
         */
        this.enableSeconds = false;
        /**
         * Adjusts the step for the hour input (incl. scrolling).
         */
        this.hourIncrement = 1;
        /**
         * Displays the calendar inline.
         */
        this.inline = false;
        /**
         * The maximum date that a user can pick to (inclusive).
         */
        this.maxDate = undefined;
        /**
         * The minimum date that a user can start picking from (inclusive).
         */
        this.minDate = undefined;
        /**
         * Adjusts the step for the minute input (incl. scrolling).
         */
        this.minuteIncrement = 5;
        /**
         * Select a single date, multiple dates or a date range.
         */
        this.mode = 'single';
        /**
         * HTML for the arrow icon, used to switch months.
         */
        this.nextArrow = '>';
        /**
         * Hides the day selection in calendar. Use it along with `enableTime` to create a time picker.
         */
        this.noCalendar = false;
        /**
         * HTML for the left arrow icon.
         */
        this.prevArrow = '<';
        /**
         * Show the month using the shorthand version (ie, Sep instead of September).
         */
        this.shorthandCurrentMonth = false;
        /**
         * Position the calendar inside the wrapper and next to the input element. (Leave `false` unless you know what you're doing).
         */
        this.static = false;
        /**
         * Displays time picker in 24 hour mode without AM/PM selection when enabled.
         */
        this.time24hr = false;
        /**
         * When true, dates will parsed, formatted, and displayed in UTC.
         * It's recommended that date strings contain the timezone, but not necessary.
         */
        this.utc = false;
        /**
         * Enables display of week numbers in calendar.
         */
        this.weekNumbers = false;
        /**
         * Custom elements and input groups.
         */
        this.wrap = false;
        /**
         * Array of plugin instances to use.
         */
        this.plugins = [];
        /**
         * Auto convert the ngModel value from a string to a date / array of dates / from - to date object depending on the `mode`
         */
        this.convertModelValue = false;
    }
    FlatpickrDefaults = __decorate([
        core_1.Injectable()
    ], FlatpickrDefaults);
    return FlatpickrDefaults;
}());
exports.FlatpickrDefaults = FlatpickrDefaults;


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
exports.FLATPICKR = new core_1.InjectionToken('flatpickr');


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(4));
var flatpickr_defaults_service_1 = __webpack_require__(1);
exports.FlatpickrDefaults = flatpickr_defaults_service_1.FlatpickrDefaults;


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var flatpickr_directive_1 = __webpack_require__(5);
var flatpickr_defaults_service_1 = __webpack_require__(1);
var flatpickr_token_1 = __webpack_require__(2);
exports.USER_DEFAULTS = new core_1.InjectionToken('flatpickr defaults');
function defaultsFactory(userDefaults) {
    var defaults = new flatpickr_defaults_service_1.FlatpickrDefaults();
    Object.assign(defaults, userDefaults);
    return defaults;
}
exports.defaultsFactory = defaultsFactory;
var FlatpickrModule = /** @class */ (function () {
    function FlatpickrModule() {
    }
    FlatpickrModule_1 = FlatpickrModule;
    FlatpickrModule.forRoot = function (flatpickr, userDefaults) {
        if (userDefaults === void 0) { userDefaults = {}; }
        return {
            ngModule: FlatpickrModule_1,
            providers: [
                {
                    provide: flatpickr_token_1.FLATPICKR,
                    useValue: flatpickr
                },
                {
                    provide: exports.USER_DEFAULTS,
                    useValue: userDefaults
                },
                {
                    provide: flatpickr_defaults_service_1.FlatpickrDefaults,
                    useFactory: defaultsFactory,
                    deps: [exports.USER_DEFAULTS]
                }
            ]
        };
    };
    FlatpickrModule = FlatpickrModule_1 = __decorate([
        core_1.NgModule({
            declarations: [flatpickr_directive_1.FlatpickrDirective],
            exports: [flatpickr_directive_1.FlatpickrDirective]
        })
    ], FlatpickrModule);
    return FlatpickrModule;
    var FlatpickrModule_1;
}());
exports.FlatpickrModule = FlatpickrModule;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var flatpickr_defaults_service_1 = __webpack_require__(1);
var forms_1 = __webpack_require__(6);
var flatpickr_token_1 = __webpack_require__(2);
exports.FLATPICKR_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return FlatpickrDirective; }),
    multi: true
};
var FlatpickrDirective = /** @class */ (function () {
    function FlatpickrDirective(elm, defaults, flatpickr) {
        this.elm = elm;
        this.defaults = defaults;
        this.flatpickr = flatpickr;
        /**
         * Gets triggered once the calendar is in a ready state
         */
        this.flatpickrReady = new core_1.EventEmitter();
        /**
         * Gets triggered when the user selects a date, or changes the time on a selected date.
         */
        this.flatpickrChange = new core_1.EventEmitter();
        /**
         * Gets triggered when the input value is updated with a new date string.
         */
        this.flatpickrValueUpdate = new core_1.EventEmitter();
        /**
         * Gets triggered when the calendar is opened.
         */
        this.flatpickrOpen = new core_1.EventEmitter();
        /**
         * Gets triggered when the calendar is closed.
         */
        this.flatpickrClose = new core_1.EventEmitter();
        /**
         * Gets triggered when the month is changed, either by the user or programmatically.
         */
        this.flatpickrMonthChange = new core_1.EventEmitter();
        /**
         * Gets triggered when the year is changed, either by the user or programmatically.
         */
        this.flatpickrYearChange = new core_1.EventEmitter();
        /**
         * Take full control of every date cell with this output
         */
        this.flatpickrDayCreate = new core_1.EventEmitter();
        this.onChangeFn = function () { }; // tslint:disable-line
    }
    FlatpickrDirective.prototype.ngAfterViewInit = function () {
        var _this = this;
        var options = {
            altFormat: this.altFormat,
            altInput: this.altInput,
            altInputClass: this.altInputClass,
            allowInput: this.allowInput,
            appendTo: this.appendTo,
            clickOpens: this.clickOpens,
            dateFormat: this.dateFormat,
            disable: this.disable,
            disableMobile: this.disableMobile,
            enable: this.enable,
            enableTime: this.enableTime,
            enableSeconds: this.enableSeconds,
            hourIncrement: this.hourIncrement,
            defaultDate: this.initialValue,
            inline: this.inline,
            maxDate: this.maxDate,
            minDate: this.minDate,
            minuteIncrement: this.minuteIncrement,
            mode: this.mode,
            nextArrow: this.nextArrow,
            noCalendar: this.noCalendar,
            parseDate: this.parseDate,
            prevArrow: this.prevArrow,
            shorthandCurrentMonth: this.shorthandCurrentMonth,
            static: this.static,
            time24hr: this.time24hr,
            weekNumbers: this.weekNumbers,
            getWeek: this.getWeek,
            wrap: this.wrap,
            plugins: this.plugins,
            onChange: function (selectedDates, dateString, instance) {
                _this.flatpickrChange.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onOpen: function (selectedDates, dateString, instance) {
                _this.flatpickrOpen.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onClose: function (selectedDates, dateString, instance) {
                _this.flatpickrClose.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onMonthChange: function (selectedDates, dateString, instance) {
                _this.flatpickrMonthChange.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onYearChange: function (selectedDates, dateString, instance) {
                _this.flatpickrYearChange.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onReady: function (selectedDates, dateString, instance) {
                _this.flatpickrReady.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onValueUpdate: function (selectedDates, dateString, instance) {
                _this.flatpickrValueUpdate.emit({ selectedDates: selectedDates, dateString: dateString, instance: instance });
            },
            onDayCreate: function (selectedDates, dateString, instance, dayElement) {
                _this.flatpickrDayCreate.emit({
                    selectedDates: selectedDates,
                    dateString: dateString,
                    instance: instance,
                    dayElement: dayElement
                });
            }
        };
        if (this.locale) {
            // workaround warning from flatpickr
            options.locale = this.locale;
        }
        Object.keys(options).forEach(function (key) {
            if (typeof options[key] === 'undefined') {
                options[key] = _this.defaults[key];
            }
        });
        options.time_24hr = options.time24hr;
        this.instance = this.flatpickr(this.elm.nativeElement, options);
    };
    FlatpickrDirective.prototype.ngOnChanges = function (changes) {
        var _this = this;
        if (this.instance) {
            Object.keys(changes).forEach(function (inputKey) {
                _this.instance.set(inputKey, _this[inputKey]);
            });
        }
    };
    FlatpickrDirective.prototype.ngOnDestroy = function () {
        this.instance.destroy();
    };
    FlatpickrDirective.prototype.writeValue = function (value) {
        var convertedValue = value;
        if (this.convertModelValue && this.mode === 'range' && value) {
            convertedValue = [value.from, value.to];
        }
        if (this.instance) {
            this.instance.setDate(convertedValue);
        }
        else {
            // flatpickr hasn't been initialised yet, store the value for later use
            this.initialValue = convertedValue;
        }
    };
    FlatpickrDirective.prototype.registerOnChange = function (fn) {
        this.onChangeFn = fn;
    };
    FlatpickrDirective.prototype.registerOnTouched = function (fn) { }; // tslint:disable-line
    FlatpickrDirective.prototype.inputChanged = function () {
        var value = this.elm.nativeElement.value;
        if (this.convertModelValue && typeof value === 'string') {
            switch (this.mode) {
                case 'multiple':
                    var dates = value.split('; ').map(function (str) { return new Date(str); });
                    this.onChangeFn(dates);
                    break;
                case 'range':
                    var _a = value.split(' to ').map(function (str) { return new Date(str); }), from = _a[0], to = _a[1];
                    this.onChangeFn({ from: from, to: to });
                    break;
                case 'single':
                default:
                    this.onChangeFn(new Date(value));
            }
        }
        else {
            this.onChangeFn(value);
        }
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "altFormat", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "altInput", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "altInputClass", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "allowInput", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", HTMLElement)
    ], FlatpickrDirective.prototype, "appendTo", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "clickOpens", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "dateFormat", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], FlatpickrDirective.prototype, "disable", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "disableMobile", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], FlatpickrDirective.prototype, "enable", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "enableTime", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "enableSeconds", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], FlatpickrDirective.prototype, "hourIncrement", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "inline", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], FlatpickrDirective.prototype, "maxDate", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], FlatpickrDirective.prototype, "minDate", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], FlatpickrDirective.prototype, "minuteIncrement", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "mode", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "nextArrow", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "noCalendar", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Function)
    ], FlatpickrDirective.prototype, "parseDate", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FlatpickrDirective.prototype, "prevArrow", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "shorthandCurrentMonth", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "static", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "time24hr", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "weekNumbers", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Function)
    ], FlatpickrDirective.prototype, "getWeek", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "wrap", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], FlatpickrDirective.prototype, "plugins", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], FlatpickrDirective.prototype, "locale", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], FlatpickrDirective.prototype, "convertModelValue", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrReady", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrChange", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrValueUpdate", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrOpen", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrClose", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrMonthChange", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrYearChange", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], FlatpickrDirective.prototype, "flatpickrDayCreate", void 0);
    __decorate([
        core_1.HostListener('input'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], FlatpickrDirective.prototype, "inputChanged", null);
    FlatpickrDirective = __decorate([
        core_1.Directive({
            selector: '[mwlFlatpickr]',
            providers: [exports.FLATPICKR_CONTROL_VALUE_ACCESSOR]
        }),
        __param(2, core_1.Inject(flatpickr_token_1.FLATPICKR)),
        __metadata("design:paramtypes", [core_1.ElementRef,
            flatpickr_defaults_service_1.FlatpickrDefaults, Object])
    ], FlatpickrDirective);
    return FlatpickrDirective;
}());
exports.FlatpickrDirective = FlatpickrDirective;


/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_6__;

/***/ })
/******/ ]);
});
//# sourceMappingURL=angularx-flatpickr.umd.js.map