import { NgModule, InjectionToken } from '@angular/core';
import { FlatpickrDirective } from './flatpickr.directive';
import { FlatpickrDefaults } from './flatpickr-defaults.service';
import { FLATPICKR } from './flatpickr.token';
export var USER_DEFAULTS = new InjectionToken('flatpickr defaults');
export function defaultsFactory(userDefaults) {
    var defaults = new FlatpickrDefaults();
    Object.assign(defaults, userDefaults);
    return defaults;
}
var FlatpickrModule = /** @class */ (function () {
    function FlatpickrModule() {
    }
    FlatpickrModule.forRoot = function (flatpickr, userDefaults) {
        if (userDefaults === void 0) { userDefaults = {}; }
        return {
            ngModule: FlatpickrModule,
            providers: [
                {
                    provide: FLATPICKR,
                    useValue: flatpickr
                },
                {
                    provide: USER_DEFAULTS,
                    useValue: userDefaults
                },
                {
                    provide: FlatpickrDefaults,
                    useFactory: defaultsFactory,
                    deps: [USER_DEFAULTS]
                }
            ]
        };
    };
    FlatpickrModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [FlatpickrDirective],
                    exports: [FlatpickrDirective]
                },] },
    ];
    /** @nocollapse */
    FlatpickrModule.ctorParameters = function () { return []; };
    return FlatpickrModule;
}());
export { FlatpickrModule };
//# sourceMappingURL=flatpickr.module.js.map